{
  "name": "xand-bank-mocks",
  "description": "Mock service providing several bank apis",
  "version": "5.2.1",
  "main": "dist/index.js",
  "bin": {
    "xand-bank-mocks": "dist/commandLine.js"
  },
  "license": "MIT OR Apache-2.0",
  "files": [
    "dist/**/*",
    "src/**/*",
    "*.json",
    "*.js",
    "*.css",
    "*.md"
  ],
  "scripts": {
    "clean": "rm -rf node_modules && rm -rf dist",
    "test": "mocha -t 10000 --retries 3 -r node_modules/ts-node/register tests/**/*.Tests.ts",
    "build": "tsc && cp -r src/templates dist/templates",
    "lint": "tslint -p tsconfig.json && tslint -c tslint.json tests/**/*.ts",
    "fix": "tslint -p tsconfig.json --fix && tslint -c tslint.json tests/**/*.ts --fix",
    "start": "node ./dist/commandLine.js 8888",
    "rebuild": "yarn clean && yarn install && yarn build"
  },
  "dependencies": {
    "apidoc": "^0.20.0",
    "body-parser": "^1.18.3",
    "bunyan": "^1.8.12",
    "express": "^4.16.3",
    "flatted": "^2.0.2",
    "jsonpath": "^1.0.2",
    "merge-yaml": "^1.1.0",
    "mustache": "^3.0.0",
    "testdouble": "^3.12.5",
    "validator": "^10.9.0",
    "yaml": "^1.7.2",
    "yargs": "^11.0.0"
  },
  "devDependencies": {
    "@types/bunyan": "^1.8.5",
    "@types/chai": "^4.2.9",
    "@types/express": "^4.17.1",
    "@types/jsonpath": "^0.2.0",
    "@types/long": "^4.0.0",
    "@types/mocha": "^7.0.1",
    "@types/mustache": "^0.8.31",
    "@types/restify": "^7.2.5",
    "@types/validator": "^10.9.0",
    "@types/yaml": "^1.2.0",
    "chai": "^4.2.0",
    "chai-datetime": "^1.5.0",
    "mocha": "^7.0.1",
    "supertest": "^4.0.2",
    "ts-node": "^7.0.1",
    "tslint": "^5.11.0",
    "tslint-no-unused-expression-chai": "^0.1.4",
    "typescript": "^3.7.2"
  }
}
